Get seat tracking automation policy
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"provider": "claude-enterprise",
"enabled": true,
"approvalMode": "approve",
"autonomyState": "observe",
"allowRequestsBeforeGraduation": false,
"thresholdEnabled": true,
"headroomDollars": 50,
"spendPercentOfPool": 80,
"forecastEnabled": false,
"poolSource": "fixed",
"poolFixedDollars": 1000,
"maxDeltaPerUserDollars": 500,
"maxUsersPerRun": 10,
"notifyEmails": [
"finops@example.com"
],
"notifyChatChannels": []
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Get seat tracking automation policy
Read the automation policy for a provider in a project.
GET
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
/
automation
Get seat tracking automation policy
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/automation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"provider": "claude-enterprise",
"enabled": true,
"approvalMode": "approve",
"autonomyState": "observe",
"allowRequestsBeforeGraduation": false,
"thresholdEnabled": true,
"headroomDollars": 50,
"spendPercentOfPool": 80,
"forecastEnabled": false,
"poolSource": "fixed",
"poolFixedDollars": 1000,
"maxDeltaPerUserDollars": 500,
"maxUsersPerRun": 10,
"notifyEmails": [
"finops@example.com"
],
"notifyChatChannels": []
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I